rand(1)

NAME
rand - display a random numbers

SYNOPSIS
rand [OPTION]

DESCRIPTION

Write random numbers to standard output.

OPTIONS

-N count
    the count of random numbers

-e  enable interpretation of backslash escapes

-E  disable interpretation of backslash escapes (default)

-M, --max number
    the limit of the random numbers (default 32576)

-u, --unique
    generate unique numbers (non duplicate values)

-f  generate float numbers from 0 to 1

-p precision
    the precision of float numbers (activates -f)

-s number
    the seed for the random numbers generator (default time(NULL))

-d STRING
    delimiter between the numbers (default SPACE)

--eof STRING
    What to print at the end of the program (default newline)

--bof STRING
    What to print at the beginning of the program (default nothing)

--mask STRING
    Mask the numbers (integer only) and display characters according to the mask.

--version
    output version information and exit

AUTHOR
Written by Guduleasa Alexandru Ionut.

REPORTING BUGS
Report bugs to <gulyan89@yahoo.com>.

COPYRIGHT
Copyright © 2008 gulyan89@yahoo.com. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.